module Alo
    module Generators
        class InstallGenerator < ::Rails::Generators::Base
            source_root File.expand_path('../templates', __FILE__)
            
            def copy_bowerrc
                template "bower.json", ".bowerrc"
            end

            def create_component_dir
                empty_directory "app/assets/bower_components/"
                empty_directory "vendor/assets/bower_components/"
            end

            def copy_initializer
                template "init.rb", "config/initializers/alopolymer2.rb"
            end

            def install_polymer2
                puts "Installing Polymer 2.0.0 ..."
                puts %x(bower install Polymer/polymer#^2.0.0)
                if File.exist?('vendor/assets/bower_components/polymer/polymer.html')
                    puts "Install Polymer 2.0.0 succeed!"
                else
                    puts "Install Polymer 2.0.0 failed!"
                end
                puts "\n\n"
                puts "Add this to head section :"
                puts "============================================================================"
                puts '<script src="<%= asset_path(\'webcomponentsjs/webcomponents-lite.js\') %>"></script>'
                puts '<link rel="import" href="<%= asset_path(\'polymer/polymer.html\') %>">'
                puts "============================================================================"
                puts "\n"
                puts "Another Generator :"
                puts "============================================================================"
                puts "rails generate alo:component component_name # To Create Custom Component"
                puts "rails generate alo:download component_name # To Download Component using Bower"
                puts "============================================================================"
            end
            
        end
    end
end